<?php
namespace Location\Service;



/**
 * Manage country data.
 * @author andre.fourie
 */
class Country extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Country',
			'DatasetName' => 'countries',
			'Entity'      => '\Location\Entity\Country',
			'References'  => array(),
			'Dependants'  => array(
					'Region' => '\Location\Entity\Region'
			)
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'String50',
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2',
							'dailingCode' => 'Digit3'
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'name'
			),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'String50',
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2',
							'dailingCode' => 'Digit3'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Contract' => 'Recurring',
			'RequiredInput' => array(
					'Country' => array(
							'name'    => 'String50'
					)
			),
			'OptionalInput' => array(
					'Country' => array(
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2',
							'dailingCode' => 'Digit3'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Contract' => 'UseOnce',
			'RequiredInput' => array(
					'Country' => array(
							'name'    => 'String50'
					)
			),
			'OptionalInput' => array(
					'Country' => array(
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2',
							'dailingCode' => 'Digit3'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Contract' => 'UseOnce'
	);

}